"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _api = require("@webiny/api");
var _default = () => {
  return new _api.ContextPlugin(async ({
    pageBuilder
  }) => {
    /**
     * After a menu has changed, invalidate all pages that contain the updated menu.
     */
    pageBuilder.onMenuAfterUpdate.subscribe(async ({
      menu
    }) => {
      await pageBuilder.prerendering.render({
        tags: [{
          tag: {
            key: "pb-menu",
            value: menu.slug
          }
        }]
      });
    });
  });
};
exports.default = _default;

//# sourceMappingURL=afterMenuUpdate.js.map